Package com.google.android.exoplayer2.metadata.id3

## Class Id3Frame

- java.lang.Object
- - com.google.android.exoplayer2.metadata.id3.Id3Frame

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`
  Direct Known Subclasses:
    `ApicFrame`, `BinaryFrame`, `ChapterFrame`, `ChapterTocFrame`, `CommentFrame`, `GeobFrame`, `InternalFrame`, `MlltFrame`, `PrivFrame`, `TextInformationFrame`, `UrlLinkFrame`

      public abstract class Id3Frame
      extends Object
      implements Metadata.Entry

  Base class for ID3 frames.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `id` | The frame ID.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Id3Frame​(String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

    - ### Methods inherited from interface android.os.Parcelable

      `writeToParcel`

- - ### Field Detail

    - #### id

          public final String id

      The frame ID.

  - ### Constructor Detail

    - #### Id3Frame

          public Id3Frame​(String id)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`